Gemini 3 Pro Image VIP 이미지 생성
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"size": "<string>",
"n": 123,
"image_urls": [
{
"url": "<string>"
}
],
"metadata": {
"resolution": "<string>"
}
}
'import requests
url = "https://toapis.com/v1/images/generations"
payload = {
"model": "<string>",
"prompt": "<string>",
"size": "<string>",
"n": 123,
"image_urls": [{ "url": "<string>" }],
"metadata": { "resolution": "<string>" }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
size: '<string>',
n: 123,
image_urls: [{url: '<string>'}],
metadata: {resolution: '<string>'}
})
};
fetch('https://toapis.com/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Gemini-3-Pro-Image VIP
Gemini 3 Pro Image VIP 이미지 생성
Gemini 3 Pro Image VIP 는 텍스트-이미지와 이미지-이미지를 지원하며 참조 이미지는 최대 14장입니다.
POST
/
v1
/
images
/
generations
Gemini 3 Pro Image VIP 이미지 생성
중국 본토 사용자 안내: 중국 본토 사용자는
https://toapis.cn 를 API 엔드포인트(Base URL)로 사용해 주세요. 본 문서의 예시에서 https://toapis.com 을 https://toapis.cn 로 바꿔 주세요.버전 선택
참조 이미지 수는 입력 이미지 총수를 의미하며 출력 이미지 수를 뜻하지 않습니다. 세 버전은 서로 다른 모델 ID를 사용하므로 해당 페이지의 파라미터와 예시에 따라 호출하세요.
현재 버전
model: "gemini-3-pro-image-preview-vip" 로 VIP 를 선택하며 텍스트-이미지와 최대 14장 참조 이미지의 이미지-이미지 또는 이미지 편집을 지원합니다.
참조 이미지 7~14장이 필요한 편집이나 다중 이미지 조합에 적합합니다. 다중 이미지 요청에서는 목록 순서대로 각 이미지의 용도를 설명할 수 있습니다.
요청은 비동기로 실행되며 제출에 성공하면 작업 ID로 결과를 조회합니다.
image_urls 는 이미지 URL 만 지원하고 base64 를 직접 받지 않습니다. 먼저 Upload 이미지 API 로 접근 가능한 URL 을 받으세요.Authorizations
Body
string
기본값:"gemini-3-pro-image-preview-vip"
필수
gemini-3-pro-image-preview-vip 로 고정합니다. 일반 모델명과 다른 별칭은 이 VIP 라우트로 자동 전환되지 않습니다.string
필수
생성하거나 편집할 이미지를 설명합니다. 참조 이미지를 여러 장 전달할 때는 목록 순서대로 각 이미지의 용도를 설명할 수 있습니다.
string
이미지 화면 비율입니다. 예:
1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9.integer
기본값:1
요청당 이미지 1장을 생성합니다. 숫자
1 을 사용하고 문자열 "1" 은 사용하지 마세요.object[]
선택 사항인 참조 이미지 목록이며 최대 14장입니다. 텍스트-이미지 생성 시에는 이 필드를 생략합니다.
먼저 Upload 이미지 API 로 접근 가능한 이미지 URL 을 받고 base64 를 직접 전달하지 마세요.
예시:
표시 참조 이미지 필드
표시 참조 이미지 필드
string
필수
공개적으로 접근 가능한 HTTP 또는 HTTPS 이미지 URL 입니다.
[{"url": "https://example.com/reference-1.png"}, {"url": "https://example.com/reference-2.png"}].
14장은 입력 참조 이미지 상한이며 한 번의 요청에서 출력되는 이미지 수가 아닙니다.요청 예시
curl --request POST 'https://toapis.com/v1/images/generations' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-3-pro-image-preview-vip",
"prompt": "Keep the person from the first image, adopt the background and color palette from the second image, and generate a natural-light portrait.",
"size": "1:1",
"n": 1,
"image_urls": [
{"url": "https://example.com/reference-1.png"},
{"url": "https://example.com/reference-2.png"}
],
"metadata": {"resolution": "2K"}
}'
image_urls 만 제거하고 프롬프트를 수정하면 됩니다.
결과 조회
제출 응답의id 가 작업 ID 입니다. 이미지 작업 상태 조회 로 상태와 최종 이미지를 가져오세요.
작업 조회와 Webhook 콜백 은 공통 비동기 이미지 API 규약을 따릅니다.